import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  StartExtensionPackAssociationMessage,
  StartExtensionPackAssociationResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface StartExtensionPackAssociationCommandInput
  extends StartExtensionPackAssociationMessage {}
export interface StartExtensionPackAssociationCommandOutput
  extends StartExtensionPackAssociationResponse,
    __MetadataBearer {}
declare const StartExtensionPackAssociationCommand_base: {
  new (
    input: StartExtensionPackAssociationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartExtensionPackAssociationCommandInput,
    StartExtensionPackAssociationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartExtensionPackAssociationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartExtensionPackAssociationCommandInput,
    StartExtensionPackAssociationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartExtensionPackAssociationCommand extends StartExtensionPackAssociationCommand_base {
  protected static __types: {
    api: {
      input: StartExtensionPackAssociationMessage;
      output: StartExtensionPackAssociationResponse;
    };
    sdk: {
      input: StartExtensionPackAssociationCommandInput;
      output: StartExtensionPackAssociationCommandOutput;
    };
  };
}
