import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  CreateDataMigrationMessage,
  CreateDataMigrationResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CreateDataMigrationCommandInput
  extends CreateDataMigrationMessage {}
export interface CreateDataMigrationCommandOutput
  extends CreateDataMigrationResponse,
    __MetadataBearer {}
declare const CreateDataMigrationCommand_base: {
  new (
    input: CreateDataMigrationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateDataMigrationCommandInput,
    CreateDataMigrationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateDataMigrationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateDataMigrationCommandInput,
    CreateDataMigrationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateDataMigrationCommand extends CreateDataMigrationCommand_base {
  protected static __types: {
    api: {
      input: CreateDataMigrationMessage;
      output: CreateDataMigrationResponse;
    };
    sdk: {
      input: CreateDataMigrationCommandInput;
      output: CreateDataMigrationCommandOutput;
    };
  };
}
