import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DeleteReplicationInstanceMessage,
  DeleteReplicationInstanceResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeleteReplicationInstanceCommandInput
  extends DeleteReplicationInstanceMessage {}
export interface DeleteReplicationInstanceCommandOutput
  extends DeleteReplicationInstanceResponse,
    __MetadataBearer {}
declare const DeleteReplicationInstanceCommand_base: {
  new (
    input: DeleteReplicationInstanceCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteReplicationInstanceCommandInput,
    DeleteReplicationInstanceCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteReplicationInstanceCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteReplicationInstanceCommandInput,
    DeleteReplicationInstanceCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteReplicationInstanceCommand extends DeleteReplicationInstanceCommand_base {
  protected static __types: {
    api: {
      input: DeleteReplicationInstanceMessage;
      output: DeleteReplicationInstanceResponse;
    };
    sdk: {
      input: DeleteReplicationInstanceCommandInput;
      output: DeleteReplicationInstanceCommandOutput;
    };
  };
}
