import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeMetadataModelConversionsMessage,
  DescribeMetadataModelConversionsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeMetadataModelConversionsCommandInput
  extends DescribeMetadataModelConversionsMessage {}
export interface DescribeMetadataModelConversionsCommandOutput
  extends DescribeMetadataModelConversionsResponse,
    __MetadataBearer {}
declare const DescribeMetadataModelConversionsCommand_base: {
  new (
    input: DescribeMetadataModelConversionsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeMetadataModelConversionsCommandInput,
    DescribeMetadataModelConversionsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DescribeMetadataModelConversionsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeMetadataModelConversionsCommandInput,
    DescribeMetadataModelConversionsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeMetadataModelConversionsCommand extends DescribeMetadataModelConversionsCommand_base {
  protected static __types: {
    api: {
      input: DescribeMetadataModelConversionsMessage;
      output: DescribeMetadataModelConversionsResponse;
    };
    sdk: {
      input: DescribeMetadataModelConversionsCommandInput;
      output: DescribeMetadataModelConversionsCommandOutput;
    };
  };
}
