import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeSchemasMessage,
  DescribeSchemasResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeSchemasCommandInput extends DescribeSchemasMessage {}
export interface DescribeSchemasCommandOutput
  extends DescribeSchemasResponse,
    __MetadataBearer {}
declare const DescribeSchemasCommand_base: {
  new (
    input: DescribeSchemasCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeSchemasCommandInput,
    DescribeSchemasCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DescribeSchemasCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeSchemasCommandInput,
    DescribeSchemasCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeSchemasCommand extends DescribeSchemasCommand_base {
  protected static __types: {
    api: {
      input: DescribeSchemasMessage;
      output: DescribeSchemasResponse;
    };
    sdk: {
      input: DescribeSchemasCommandInput;
      output: DescribeSchemasCommandOutput;
    };
  };
}
